# Uses of Class
org.apache.lucene.index.StoredFields

Packages that use StoredFields
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene90.compressing
Lucene 9.0 compressing format.
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.search
Code to search indices.

- ## Uses of StoredFields in org.apache.lucene.codecs

  Subclasses of StoredFields in org.apache.lucene.codecs
  Modifier and Type
  Class
  Description
  `class`
  `StoredFieldsReader`
  Codec API for reading stored fields.

- ## Uses of StoredFields in org.apache.lucene.codecs.lucene90.compressing

  Subclasses of StoredFields in org.apache.lucene.codecs.lucene90.compressing
  Modifier and Type
  Class
  Description
  `final class`
  `Lucene90CompressingStoredFieldsReader`
  `StoredFieldsReader` impl for `Lucene90CompressingStoredFieldsFormat`.

- ## Uses of StoredFields in org.apache.lucene.index

  Methods in org.apache.lucene.index that return StoredFields
  Modifier and Type
  Method
  Description
  `final StoredFields`
  BaseCompositeReader.`storedFields()`
  `final StoredFields`
  CodecReader.`storedFields()`
  `StoredFields`
  FilterLeafReader.`storedFields()`
  `abstract StoredFields`
  IndexReader.`storedFields()`
  Returns a `StoredFields` reader for the stored fields of this index.
  `StoredFields`
  ParallelLeafReader.`storedFields()`

- ## Uses of StoredFields in org.apache.lucene.search

  Methods in org.apache.lucene.search that return StoredFields
  Modifier and Type
  Method
  Description
  `StoredFields`
  IndexSearcher.`storedFields()`
  Returns a `StoredFields` reader for the stored fields of this index.